#ifdef __cplusplus
extern "C" {
#endif

#define ALIGNED_ARRAY(ptr)	_nassert((int) ptr % 8 == 0)
#define DATAALIGN							8
#define SAMPLE_NUM			64
#define SAMPLE_NUM_QUATER	16

double gd_src_lch[SAMPLE_NUM];
double gd_src_rch[SAMPLE_NUM];
double gd_dst_lch[SAMPLE_NUM];
double gd_dst_rch[SAMPLE_NUM];


void copy_double( double *restrict src_lch, double *restrict src_rch, double *restrict dst_lch, double *restrict dst_rch );
void test_func01( void );
void test_func02( void );
void test_func03( void );
void test_func04( void );

#ifdef __cplusplus
}
#endif
